### Hierarchy

- Payment

## Index

### Properties

- amountAuthorized
- amountPlanned
- createdAt
- customer
- id
- interfaceInteractions
- lastMessageSequenceNumber
- lastModifiedAt
- paymentMethodInfo
- paymentStatus
- transactions
- version

## Properties

### amountAuthorized

amountAuthorized: Money

- Defined in node_modules/@cxcloud/ct-types/payments.ts:24

### amountPlanned

amountPlanned: Money

- Defined in node_modules/@cxcloud/ct-types/payments.ts:23

### createdAt

createdAt: string

- Defined in node_modules/@cxcloud/ct-types/payments.ts:29

### customer

customer: Reference

- Defined in node_modules/@cxcloud/ct-types/payments.ts:22

### id

id: string

- Defined in node_modules/@cxcloud/ct-types/payments.ts:20

### interfaceInteractions

interfaceInteractions: any[]

- Defined in node_modules/@cxcloud/ct-types/payments.ts:28

### lastMessageSequenceNumber

lastMessageSequenceNumber: number

- Defined in node_modules/@cxcloud/ct-types/payments.ts:31

### lastModifiedAt

lastModifiedAt: string

- Defined in node_modules/@cxcloud/ct-types/payments.ts:30

### paymentMethodInfo

paymentMethodInfo: PaymentMethodInfo

- Defined in node_modules/@cxcloud/ct-types/payments.ts:25

### paymentStatus

paymentStatus: PaymentStatus

- Defined in node_modules/@cxcloud/ct-types/payments.ts:26

### transactions

transactions: Transaction[]

- Defined in node_modules/@cxcloud/ct-types/payments.ts:27

### version

version: number

- Defined in node_modules/@cxcloud/ct-types/payments.ts:21

Generated using TypeDoc